Module org.hdfgroup.hdfview
Package hdf.view.dialog

# Class NewDataObjectDialog

Object
org.eclipse.swt.widgets.Dialog
hdf.view.dialog.NewDataObjectDialog

Direct Known Subclasses:
  `NewCompoundAttributeDialog`, `NewCompoundDatasetDialog`, `NewDatasetDialog`, `NewDatatypeDialog`, `NewGroupDialog`, `NewImageDialog`, `NewScalarAttributeDialog`, `NewStringAttributeDialog`

public class NewDataObjectDialog extends org.eclipse.swt.widgets.Dialog
NewDataDialog is an intermediate class for creating data types.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.eclipse.swt.widgets.Label`
  `arrayLengthLabel`
  The length label for the object
  `protected org.eclipse.swt.widgets.Button`
  `checkUnsigned`
  The unsigned data button for the object
  `protected org.eclipse.swt.widgets.Combo`
  `classChoice`
  The class combobox for the object
  `protected org.eclipse.swt.graphics.Font`
  `curFont`
  the current font
  `protected org.eclipse.swt.widgets.Combo`
  `endianChoice`
  The endianess combobox for the object
  `protected FileFormat`
  `fileFormat`
  The file format associated with this object
  `boolean`
  `isEnum`
  If the object is an enum object
  `protected boolean`
  `isH5`
  If the object should be attached to a hdf5 object
  `boolean`
  `isVLen`
  If the object is a variable length data object
  `boolean`
  `isVlenStr`
  If the object is a variable length string
  `protected org.eclipse.swt.widgets.Text`
  `lengthField`
  TextField for entering the length of the data array or string.
  `protected org.eclipse.swt.widgets.Combo`
  `namedChoice`
  The named datatype combobox for the object
  `protected List<Datatype>`
  `namedList`
  The list of datatypes for the object
  `protected HObject`
  `newObject`
  the object created
  `protected List<?>`
  `objList`
  The list of objects for the object
  `protected HObject`
  `parentObj`
  the object which the this object is attached
  `protected HObject`
  `refObject`
  the object referenced
  `protected org.eclipse.swt.widgets.Shell`
  `shell`
  the visual shell for the dialog
  `protected org.eclipse.swt.widgets.Combo`
  `sizeChoice`
  The size combobox for the object
  `String`
  `strEnumMap`
  The enum mapping for the object
  `int`
  `tclass`
  The default class for the object
  `int`
  `torder`
  The default byte order for the object
  `int`
  `tsign`
  The default sign for the object
  `int`
  `tsize`
  The default size for the object
  `protected org.eclipse.swt.widgets.Button`
  `useCommittedType`
  The committed datatype button for the object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewDataObjectDialog(org.eclipse.swt.widgets.Shell parent, HObject pGroup, List<?> objs)`
  The NewDataObjectDialog constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createDatatypeWidget()`
  the new dataset properties to be created.
  `Datatype`
  `createNewDatatype(String name)`
  Create the datatype according to the settings.
  `HObject`
  `getObject()`
  `Group`
  `getParentGroup()`

  ### Methods inherited from class org.eclipse.swt.widgets.Dialog

  `checkSubclass, getParent, getStyle, getText, setText`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### shell

    protected org.eclipse.swt.widgets.Shell shell
    the visual shell for the dialog

  - ### curFont

    protected org.eclipse.swt.graphics.Font curFont
    the current font

  - ### parentObj

    protected HObject parentObj
    the object which the this object is attached

  - ### refObject

    protected HObject refObject
    the object referenced

  - ### newObject

    protected HObject newObject
    the object created

  - ### lengthField

    protected org.eclipse.swt.widgets.Text lengthField
    TextField for entering the length of the data array or string.

  - ### namedChoice

    protected org.eclipse.swt.widgets.Combo namedChoice
    The named datatype combobox for the object

  - ### classChoice

    protected org.eclipse.swt.widgets.Combo classChoice
    The class combobox for the object

  - ### sizeChoice

    protected org.eclipse.swt.widgets.Combo sizeChoice
    The size combobox for the object

  - ### endianChoice

    protected org.eclipse.swt.widgets.Combo endianChoice
    The endianess combobox for the object

  - ### useCommittedType

    protected org.eclipse.swt.widgets.Button useCommittedType
    The committed datatype button for the object

  - ### checkUnsigned

    protected org.eclipse.swt.widgets.Button checkUnsigned
    The unsigned data button for the object

  - ### objList

    protected List<?> objList
    The list of objects for the object

  - ### namedList

    protected List<Datatype> namedList
    The list of datatypes for the object

  - ### arrayLengthLabel

    protected org.eclipse.swt.widgets.Label arrayLengthLabel
    The length label for the object

  - ### tclass

    public int tclass
    The default class for the object

  - ### tsize

    public int tsize
    The default size for the object

  - ### torder

    public int torder
    The default byte order for the object

  - ### tsign

    public int tsign
    The default sign for the object

  - ### isEnum

    public boolean isEnum
    If the object is an enum object

  - ### strEnumMap

    public String strEnumMap
    The enum mapping for the object

  - ### isVLen

    public boolean isVLen
    If the object is a variable length data object

  - ### isVlenStr

    public boolean isVlenStr
    If the object is a variable length string

  - ### fileFormat

    protected FileFormat fileFormat
    The file format associated with this object

  - ### isH5

    protected boolean isH5
    If the object should be attached to a hdf5 object

- ## Constructor Details

  - ### NewDataObjectDialog

    public NewDataObjectDialog(org.eclipse.swt.widgets.Shell parent, HObject pGroup, List<?> objs)
    The NewDataObjectDialog constructor.
    Parameters:
      `parent` - the dialog parent shell
      `pGroup` - the dialog parent group object
      `objs` - the list of objects

- ## Method Details

  - ### createDatatypeWidget

    public void createDatatypeWidget()
    the new dataset properties to be created.

  - ### createNewDatatype

    public Datatype createNewDatatype(String name)
    Create the datatype according to the settings.
    Parameters:
      `name` - the datatype name
    Returns:
      the new object created.

  - ### getObject

    public HObject getObject()
    Returns:
      the new object created.

  - ### getParentGroup

    public Group getParentGroup()
    Returns:
      the parent group of the new dataset.